Home

# Class goog.dom.AbstractMultiRange

Creates a new multi range with no properties. Do not use this constructor: use one of the goog.dom.Range.createFrom* methods instead.

extends goog.dom.AbstractRange

Instance Method Summary
| `containsRange(?goog.dom.AbstractRange range, boolean= opt_allowPartial) ⇒ boolean` Tests if this range contains the given range.
| `insertNode(?Node node, boolean before) ⇒ ?Node` Inserts a node before (or after) the range. The range may be disrupted beyond recovery because of the way this splits nodes.
| `surroundWithNodes(?Element startNode, ?Element endNode)` Surrounds this range with the two given nodes. The range may be disrupted beyond recovery because of the way this splits nodes.